[codeview] Remove TypeServerHandler and PDBTypeServerHandler
ClosedPublic

Authored by rnk on Jul 13 2017, 5:13 PM.

Details

Summary

Instead of wiring these through the CVTypeVisitor interface, clients
should inspect the CVTypeArray before visiting it and potentially load
up the type server's TPI stream if they need it.

No tests relied on this functionality because LLD was the only client.

Diff Detail

Repository
rL LLVM
rnk created this revision.Jul 13 2017, 5:13 PM
ruiu added a comment.Jul 14 2017, 1:43 PM

It seems a reasonable simplification, but do you have a change to visit types without it?

rnk added a comment.Jul 17 2017, 1:15 PM
In D35394#810049, @ruiu wrote:

It seems a reasonable simplification, but do you have a change to visit types without it?

Yes, but it depends on this and D35495. Do you want me to post it first? It takes a bit of work to rebase and clean it up.

ruiu accepted this revision.Jul 17 2017, 1:17 PM

LGTM

This revision is now accepted and ready to land.Jul 17 2017, 1:17 PM
This revision was automatically updated to reflect the committed changes.